Bug 525157 - setroubleshoot: SELinux is preventing /usr/lib64/nspluginwrapper/plugin-config access to a leaked /dev/random file descriptor.
Summary: setroubleshoot: SELinux is preventing /usr/lib64/nspluginwrapper/plugin-...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:41b6b72f212...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-23 14:52 UTC by Matěj Cepl
Modified: 2018-04-11 16:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-24 15:44:09 UTC


Attachments (Terms of Use)

Description Matěj Cepl 2009-09-23 14:52:43 UTC
The following was filed automatically by setroubleshoot:

Souhrn:

SELinux is preventing /usr/lib64/nspluginwrapper/plugin-config access to a
leaked /dev/random file descriptor.

Podrobný popis:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by the plugin-config command. It looks like this
is either a leaked descriptor or plugin-config output was redirected to a file
it is not allowed to access. Leaks usually can be ignored since SELinux is just
closing the leak and reporting the error. The application does not use the
descriptor, so it will run properly. If this is a redirection, you will not get
output in the /dev/random. You should generate a bugzilla on selinux-policy, and
it will get routed to the appropriate package. You can safely ignore this avc.

Povolení přístupu:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385)

Další informace:

Kontext zdroje                unconfined_u:unconfined_r:nsplugin_config_t:s0-s0:
                              c0.c1023
Kontext cíle                 system_u:object_r:random_device_t:s0
Objekty cíle                 /dev/random [ chr_file ]
Zdroj                         plugin-config
Cesta zdroje                  /usr/lib64/nspluginwrapper/plugin-config
Port                          <Neznámé>
Počítač                    (removed)
RPM balíčky zdroje          nspluginwrapper-1.3.0-8.fc12
RPM balíčky cíle           
RPM politiky                  selinux-policy-3.6.32-8.fc12
Selinux povolen               True
Typ politiky                  targeted
MLS povoleno                  True
Vynucovací režim            Permissive
Název zásuvného modulu     leaks
Název počítače            (removed)
Platforma                     Linux (removed) 2.6.31-33.fc12.x86_64 #1 SMP Thu
                              Sep 17 15:40:43 EDT 2009 x86_64 x86_64
Počet upozornění           1
Poprvé viděno               St 23. září 2009, 16:45:00 CEST
Naposledy viděno             St 23. září 2009, 16:45:00 CEST
Místní ID                   242a9427-6630-459a-876f-ae3c1212cf37
Čísla řádků              

Původní zprávy auditu      

node=(removed) type=AVC msg=audit(1253717100.453:22): avc:  denied  { read } for  pid=3155 comm="plugin-config" path="/dev/random" dev=tmpfs ino=3702 scontext=unconfined_u:unconfined_r:nsplugin_config_t:s0-s0:c0.c1023 tcontext=system_u:object_r:random_device_t:s0 tclass=chr_file

node=(removed) type=SYSCALL msg=audit(1253717100.453:22): arch=c000003e syscall=59 success=yes exit=0 a0=1d7ca50 a1=1d78220 a2=1d789b0 a3=76 items=0 ppid=3153 pid=3155 auid=500 uid=500 gid=500 euid=0 suid=0 fsuid=0 egid=500 sgid=500 fsgid=500 tty=pts0 ses=1 comm="plugin-config" exe="/usr/lib64/nspluginwrapper/plugin-config" subj=unconfined_u:unconfined_r:nsplugin_config_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= nsplugin_config_t ==============
allow nsplugin_config_t random_device_t:chr_file read;

Comment 1 Daniel Walsh 2009-09-24 15:40:46 UTC
I don't think there is anything firefox can not leak.

Comment 2 Daniel Walsh 2009-09-24 15:44:09 UTC
Fixed in selinux-policy-3.6.32-10.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.